/*
 * Copyright (c) 2012, 2018 Oracle and/or its affiliates. All rights reserved.
 *
 * This program and the accompanying materials are made available under the
 * terms of the Eclipse Public License v. 2.0, which is available at
 * http://www.eclipse.org/legal/epl-2.0.
 *
 * This Source Code may also be made available under the following Secondary
 * Licenses when the conditions for such availability set forth in the
 * Eclipse Public License v. 2.0 are satisfied: GNU General Public License,
 * version 2 with the GNU Classpath Exception, which is available at
 * https://www.gnu.org/software/classpath/license.html.
 *
 * SPDX-License-Identifier: EPL-2.0 OR GPL-2.0 WITH Classpath-exception-2.0
 */

package com.sun.ts.tests.jaxrs.spec.resource.requestmatching;

import javax.ws.rs.Consumes;
import javax.ws.rs.GET;
import javax.ws.rs.POST;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.core.MediaType;

@Path("resource/subresource")
public class MainSubResource {
  public static final String ID = "subresource";

  @GET
  public String subresource() {
    return this.getClass().getSimpleName();
  }

  @POST
  @Path("sub")
  @Consumes(MediaType.TEXT_PLAIN)
  @Produces(MediaType.TEXT_PLAIN)
  public String sub() {
    return this.getClass().getSimpleName();
  }

  @GET
  @Path("{id}")
  public String neverHere() {
    return ID;
  }

  @POST
  @Path("consumes")
  @Consumes(MediaType.TEXT_PLAIN)
  public String consumes() {
    return getClass().getSimpleName();
  }

  @Path("consumeslocator")
  public AnotherResourceLocator consumeslocator() {
    return new AnotherResourceLocator();
  }

  @POST
  @Path("produces")
  @Produces(MediaType.TEXT_PLAIN)
  public String produces() {
    return getClass().getSimpleName();
  }

  @Path("produceslocator")
  public AnotherResourceLocator produceslocator() {
    return new AnotherResourceLocator();
  }

}
